Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Class AbstractSymbolFactory

    java.lang.Object
      jcckit.plot.AbstractSymbolFactory

All Implemented Interfaces:
  SymbolFactory

Direct Known Subclasses:
  BarFactory, CircleSymbolFactory, SquareSymbolFactory

public abstract class AbstractSymbolFactory
extends java.lang.Object
implements SymbolFactory

Abstract superclass of all `SymbolFactories`. Subclasses have to implement `createPlainSymbol()`.

Author:
  Franz-Josef Elmer

Field Summary
`protected GraphicAttributes` | `_attributes` Attributes of all symbols.
`protected double` | `_size` Size of all symbols.

Fields inherited from interface jcckit.plot.SymbolFactory
`ATTRIBUTES_KEY, DEFAULT_SIZE, SIZE_KEY`

Constructor Summary
`AbstractSymbolFactory(ConfigParameters config)` Creates an instance from the specified configuration parameters.

Method Summary
`GraphicalElement` | `createLegendSymbol(GraphPoint centerPosition, double size)` Creates a symbol for the legend at the specified position.
`protected abstract GraphicalElement` | `createPlainSymbol(GraphPoint centerPosition, double size, GraphicAttributes attributes)` Creates the graphical element of the plain symbol.
`protected Symbol` | `createSymbol(GraphPoint point, GraphicAttributes attributes, Hint hintForNextPoint, Hint hintFromPreviousCurve)` Creates a symbol.
`Symbol` | `createSymbol(GraphPoint point, Hint hintFromPreviousPoint, Hint hintFromPreviousCurve)` Creates a symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _size

    protected final double _size

  Size of all symbols.

### _attributes

    protected final GraphicAttributes _attributes

  Attributes of all symbols.

Constructor Detail

### AbstractSymbolFactory

    public AbstractSymbolFactory(ConfigParameters config)

  Creates an instance from the specified configuration parameters.

  Key & Default Value | Type | Mandatory | Description
  --- | --- | --- | ---
  `size =` 0.01 | `double` | no | Size of the symbol in device-independent units.
  `attributes` | `ConfigParameters` | no | Configuration parameters for the attributes of the symbol. `className` has to be a class which is an instance of `GraphicAttributes`.

Method Detail

### createSymbol

    public Symbol createSymbol(GraphPoint point,
                               Hint hintFromPreviousPoint,
                               Hint hintFromPreviousCurve)

  Creates a symbol. Evaluate `hintFromPreviousPoint` if it is a `AttributesHint`. Calls `createSymbol(GraphPoint, GraphicAttributes, Hint, Hint)`.

  Specified by:
    `createSymbol` in interface `SymbolFactory`
  Parameters:
    `point` - Symbol position.
    `hintFromPreviousPoint` - Hint from the previous point.
    `hintFromPreviousCurve` - Hint from the previous curve.

### createSymbol

    protected Symbol createSymbol(GraphPoint point,
                                  GraphicAttributes attributes,
                                  Hint hintForNextPoint,
                                  Hint hintFromPreviousCurve)

  Creates a symbol. Uses `createPlainSymbol()`.

  Parameters:
    `point` - Symbol position.
    `attributes` - Symbol attributes.
    `hintForNextPoint` - Hint for the next point. Will be delivered unchanged in the return `Symbol` object.
    `hintFromPreviousCurve` - Hint from the previous curve. Will be delivered unchanged in the return `Symbol` object. Subclasses may override this behavior.

### createLegendSymbol

    public GraphicalElement createLegendSymbol(GraphPoint centerPosition,
                                               double size)

  Creates a symbol for the legend at the specified position. Uses `createPlainSymbol()`

  Specified by:
    `createLegendSymbol` in interface `SymbolFactory`
  Parameters:
    `centerPosition` - Center position of the symbol.
    `size` - The size of the symbol. Will be ignored because the value given in the constructor will be used.

### createPlainSymbol

    protected abstract GraphicalElement createPlainSymbol(GraphPoint centerPosition,
                                                          double size,
                                                          GraphicAttributes attributes)

  Creates the graphical element of the plain symbol.

  Parameters:
    `centerPosition` - Center position of the symbol.
    `size` - The size of the symbol.
    `attributes` - The attributes of the symbol.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD